@import "./../../../static/css/variables";

.input-search-match {
  max-width: 90vw;
  min-width: 240px !important;
}

#modal-example {
  .modal-dialog {
    width: 100vw !important;
    max-width: 100vw !important;
    height: 100vh;
    min-height: 100vh;
    background-color: #fbfbfedb;
    margin: 0;
  }
  .modal-content {
    height: 100%;
    background-color: transparent;

    #modal-odds {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      width: 100%;
      // min-width: 80vw;
      height: 100%;
      padding: 0;
      .modal-odds-content {
        display: flex;
        justify-content: center;
        align-items: center;
        align-content: center;
        flex-wrap: wrap;
        width: 100%;
        height: 100%;
        min-height: 100%;
        max-height: 100%;
        padding: 1rem;
        .odds-panel {
          display: flex;
          justify-content: flex-start;
          align-items: flex-start;
          align-content: flex-start;
          flex-wrap: wrap;
          max-height: 100%;
          overflow-y: auto;
          padding: 1rem 2rem 1rem 1rem;
          ul {
            li {
              background-color: transparent;
              border: none;
              padding: .15rem;
              .option-bets {
                display: flex;
                align-items: center;
                // border-radius: 6px;
                span {
                  width: 110px;
                  font-size: 1.5rem;
                  text-align: center;
                  background-color: #131313c9;
                  color: white;
                  padding: 0 .4rem;
                  border-radius: .25rem;
                  z-index: 10;
                }
                button {
                  z-index: 9;
                  font-weight: normal;
                  width: 60px;
                  font-size: 1.4rem;
                  display: flex;
                  align-items: center;
                  line-height: 1;
                  padding: .1rem .75rem;
                  &.odds-odds {
                    transition: border 0.25s ease-in-out;
                    &:hover {
                      border: 2px solid white;
                      border-radius: .25rem;
                    }
                    &:focus {
                      border: 2px solid white;
                      border-radius: .25rem;
                    }

                    &.odds-under {
                      background-color: lightsteelblue;
                      margin-right: -8px;
                      flex-direction: column-reverse;
                    }
                    &.odds-over {
                      background-color: #d52424;
                      color: white;
                      margin-left: -8px;
                      flex-direction: column;
                    }
                    &.selected {
                      background-color: black !important;
                      i {
                        color: yellow !important;
                      }
                    }
                  }
                }
              }
            }
          }
        }
        .odds-accounts {
          width: calc(60% - 2rem);
          min-width: 384px;
          max-width: 600px;
          height: 100%;
          max-height: 100%;
          .card-accounts {
            height: 100%;
            .card-accounts-title {
              width: 100%;
              text-align: center;
              padding: 1rem;
              font-weight: bold;
              font-size: 1.5rem;
              background-color: $color-grey-dark;
              color: $color-yellow-light;
            }
            .card-accounts-content {
              display: flex;
              flex-direction: column;
              justify-content: space-between;
              height: 100%;
              .card-accounts-header {
                display: flex;
                flex-direction: column;
                width: 100%;
                .card-messages {
                  min-height: 36px;
                  display: flex;
                  justify-content: center;
                  width: 100%;
                  span {
                    min-height: 25px;
                    font-weight: bold;
                    font-size: 20px;
                    width: 100%;
                    text-align: center;
                    margin-bottom: .25rem;
                  }
                  span.mercado-msg {
                    min-height: 25px;
                    font-weight: bold;
                    font-size: 20px;
                    width: 100%;
                    text-align: center;
                    margin-bottom: .25rem;
                    &.mercado-selecionado-under {
                      color: blue;
                    }
                    &.mercado-selecionado-over {
                      color: red;
                    }
                    &.mercado-selecionado {
    
                    }
                  }
                }
                .card-inputs {
                  display: flex;
                  justify-content: start;
                  flex-wrap: wrap;
                  margin-bottom: 1rem;
                  input {
                    font-size: $font-main-size;
                    &:first-child {
                      width: calc(100% - 1rem - 50px);
                    }
                    &:last-child {
                      max-width: 50px;
                      padding: .375rem .75rem
                    }
                  }
                }
              }
              .card-accounts-inputs {
                margin: 0 0 .5rem .5rem;
                label {
                  line-height: 1;
                  margin-bottom: 2px;
                }
                input {
                  max-width: 84px;
                }
              }
              .search-account-results {
                height: 100%;
                max-height: calc(78vh - 112px - 66px - 60px);
                overflow-y: auto;
                padding: .25rem 1rem;
                table {
                  thead {
                    tr {
                      th {
                        .input-search-match {
                          max-width: 90vw;
                        }
                      }
                    }
                  }
                  tbody {
                    tr {
                      padding: .2rem 0;
                      td {
                        padding: .2rem .25rem;
                        font-size: $font-main-size;
                        &:nth-child(1) {
                          width: calc(69% - 110px); 
                          margin-left: 1%;
                        }
                        &:nth-child(2) {
                          width: 15%;
                        }
                        &:nth-child(3) {
                          width: 15%;
                          color: grey;
                        }
                        &:nth-child(4) {
                          width: 110px;
                          min-width: 110px;
                        }
                      }
                      &:last-child {
                        border-color: #fff;
                      }
                    }
                  }
                }
                .form-check {
                  .form-check-label {
                    margin-left: -6px;
                  }
                }
              }
              .modal-odds-actions-new {
                display: flex;
                justify-content: flex-end;
                button {
                  margin: .25rem;
                  font-size: 1.25rem;
                }
              }
              .modal-odds-actions {
                width: 100%;
                display: flex;
                justify-content: center;
                border: none;
                button {
                  margin: 0.5rem;
                  font-size: 1.5rem;
                  &.btn-succeed {
                    min-width: 55%;
                  }
                }
              }
            }
          }
        }
        .odds-accounts-userrole {
          margin-left: 1rem;
          height: 100%;
          min-height: 60vh;
          padding: 0 1rem;
          .card-accounts {
            .card-accounts-content {
              .content-title {
                width: 100%;
                font-size: 1.5rem;
                text-align: center;
                font-weight: 500;
              }
              .content-data {
                display: flex;
                width: 100%;
                justify-content: space-evenly;
                .content {
                  display: flex;
                  flex-direction: column;
                  align-items: flex-start;
                  line-height: 1;
                  margin-top: 1rem;
                  flex-wrap: wrap;
                  span {
                    &:first-child {
                      margin-bottom: .25rem;
                    }
                  }
                }
              }
            }
  
            form {
              display: flex;
              justify-content: center;
              text-align: center;
              margin-top: 1.5rem;
              label {
                margin-bottom: 0;
              }
              input {
                max-width: 80px;
              }
            }
  
  
            .modal-odds-actions-user {
              border: none;
              button {
                margin: 0.5rem;
                font-size: 1.5rem;
                &.btn-succeed {
                  // min-width: 55%;
                }
              }
            }
          }

        }
      }
    }
  }
}

#modal-telegram {
  .modal-header {
    background-color: $color-grey-dark;
    color: $color-yellow-light;
    text-transform: uppercase;
    text-align: center;
    .btn-close {
      
    }
  }
  .modal-body {
    padding: 1rem 2rem;
    .content-body {
      display: flex;
      flex-direction: column;
      margin-bottom: 1rem;
      &:last-child {
        margin-bottom: .5rem;
      }
      .content-title {
        font-size: 1.42rem;
        font-weight: 500;
        width: 100%;
      }
      .content-checks {
        font-size: 1.1rem;
        max-width: 100%;
        flex-wrap: wrap;
        display: flex;
        label {
          min-width: 24px;
          margin-right: .5rem;
          input {
            margin-right: .2rem;
          }
        }
      }
    }
    .realizar-copy {
      border-left: 1px solid lightgray;
      padding-right: 0;
      .realizar-copy-header {
        text-align: center;
        width: 100%;
        span {
          font-size: calc(1.3rem + .6vw);
          font-weight: 500;
          line-height: 1.2;
        }
      }
      .realizar-copy-body {
        width: 100%;
        margin-top: 1rem;
        form {
          width: 100%;
          .realizar-copy-info {
            input {
              max-width: 120px;
              &:focus {
                box-shadow: 0 0 0 1px #bbbbbbb3;
              }
            }
          }
          .realizar-copy-accounts {
            padding: .5rem .1rem;
            max-height: 52vh;
            overflow-y: auto;
            label {
              white-space: nowrap;
              overflow: hidden;
              text-overflow: ellipsis;
              width: 90%;
              max-width: 90%;
            }
          }
        }
      }
    }
  }
  .modal-footer {}
}

@media only screen and (max-width: 420px) {
  .card-accounts-inputs {
    .col-sm-6 {
      display: flex;
      flex-direction: column;
      align-items: center;
      margin-bottom: 0.5rem;
    }
  }
  #modal-example {
    .modal-dialog {}
    .modal-content {
      #modal-odds {
        .modal-odds-content {
          .odds-panel {
            ul {
              li {
                .option-bets {
                  span {}
                  button {
                    &.odds-odds {
                      &:hover {}
                      &:focus {}
                      &.odds-under {}
                      &.odds-over {}
                      &.selected {}
                    }
                  }
                }
              }
            }
          }
          .odds-accounts {
            .card-accounts {
              .card-accounts-title {
                padding: .25rem 1rem;
                line-height: 1;
              }
              .card-accounts-content {
                .card-accounts-header {
                  .card-messages {
                    span.mercado-msg {
                      &.mercado-selecionado-under {}
                      &.mercado-selecionado-over {}
                      &.mercado-selecionado {}
                    }
                  }
                  .card-inputs {
                    input {}
                  }
                }
                .search-account-results {
                  max-height: 280px !important;
                  margin: 0 .5rem 1rem;
                  padding: .5rem 0;
                }
                .modal-odds-actions {
                  button {
                    &.btn-succeed {}
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 684px) {
  #modal-example {
    .modal-dialog {
      height: auto !important;
    }
    .modal-content {
      height: auto;
      #modal-odds {
        height: auto;
        .modal-odds-content {
          .odds-panel {
            ul {
              li {
                .option-bets {
                  span {}
                  button {
                    &.odds-odds {
                      &:hover {}
                      &:focus {}
                      &.odds-under {}
                      &.odds-over {}
                      &.selected {}
                    }
                  }
                }
              }
            }
          }
          .odds-accounts {
            width: 100% !important;
            .card-accounts {
              .card-accounts-title {}
              .card-accounts-content {
                .card-accounts-header {
                  .card-messages {
                    span.mercado-msg {
                      &.mercado-selecionado-under {}
                      &.mercado-selecionado-over {}
                      &.mercado-selecionado {}
                    }
                  }
                  .card-inputs {
                    input {}
                  }
                }
                .search-account-results {
                  max-height: 400px;
                }
                .modal-odds-actions {
                  button {
                    &.btn-succeed {}
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 768px) {
  #modal-example {
    .modal-dialog {}
    .modal-content {
      #modal-odds {
        .modal-odds-content {
          .odds-panel {
            ul {
              li {
                .option-bets {
                  span {}
                  button {
                    &.odds-odds {
                      &:hover {}
                      &:focus {}
                      &.odds-under {}
                      &.odds-over {}
                      &.selected {}
                    }
                  }
                }
              }
            }
          }
          .odds-accounts {
            .card-accounts {
              .card-accounts-title {}
              .card-accounts-content {
                .card-accounts-header {
                  .card-messages {
                    span.mercado-msg {
                      &.mercado-selecionado-under {}
                      &.mercado-selecionado-over {}
                      &.mercado-selecionado {}
                    }
                  }
                  .card-inputs {
                    input {}
                  }
                }
                .search-account-results {}
                .modal-odds-actions {
                  button {
                    &.btn-succeed {}
                  }
                }
              }
            }
          }
        }
      }
    }
  }
  .realizar-copy {
    border-left: none !important;
    border-top: 1px solid lightgray;
    margin-top: 1rem;
    padding-top: 1rem;
    .realizar-copy-header {
      span {}
    }
    .realizar-copy-body {
      form {
        .realizar-copy-accounts {
          label {}
        }
      }
    }
  }
}
@media only screen and (max-width: 992px) {
  #modal-example {
    .modal-dialog {}
    .modal-content {
      #modal-odds {
        .modal-odds-content {
          .odds-panel {
            ul {
              li {
                .option-bets {
                  span {}
                  button {
                    &.odds-odds {
                      &:hover {}
                      &:focus {}
                      &.odds-under {}
                      &.odds-over {}
                      &.selected {}
                    }
                  }
                }
              }
            }
          }
          .odds-accounts {
            .card-accounts {
              .card-accounts-title {}
              .card-accounts-content {
                .card-accounts-header {
                  .card-messages {
                    span.mercado-msg {
                      &.mercado-selecionado-under {}
                      &.mercado-selecionado-over {}
                      &.mercado-selecionado {}
                    }
                  }
                  .card-inputs {
                    input {}
                  }
                }
                .search-account-results {}
                .modal-odds-actions {
                  button {
                    &.btn-succeed {}
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 1200px) {
  #modal-example {
    .modal-dialog {}
    .modal-content {
      #modal-odds {
        .modal-odds-content {
          .odds-panel {
            ul {
              li {
                .option-bets {
                  span {}
                  button {
                    &.odds-odds {
                      &:hover {}
                      &:focus {}
                      &.odds-under {}
                      &.odds-over {}
                      &.selected {}
                    }
                  }
                }
              }
            }
          }
          .odds-accounts {
            .card-accounts {
              .card-accounts-title {}
              .card-accounts-content {
                .card-accounts-header {
                  .card-messages {
                    span.mercado-msg {
                      &.mercado-selecionado-under {}
                      &.mercado-selecionado-over {}
                      &.mercado-selecionado {}
                    }
                  }
                  .card-inputs {
                    input {}
                  }
                }
                .search-account-results {}
                .modal-odds-actions {
                  button {
                    &.btn-succeed {}
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}



